> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mylifeforce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Lifescore

> Get latest lifescore



## OpenAPI

````yaml GET /patient/{patientId}/lifescore
openapi: 3.0.1
info:
  title: Lifeforce Care Team API
  description: An API used by the Lifeforce care team portal to query patient data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://om-staging.mylifeforce.com/api/m2m
security:
  - bearerAuth: []
paths:
  /patient/{patientId}/lifescore:
    get:
      description: Get latest lifescore
      parameters:
        - $ref: '#/components/parameters/PatientIdParam'
      responses:
        '200':
          description: Returns lifescore
          content:
            application/json:
              examples:
                notesList:
                  summary: Example lifescore
                  value:
                    id: 99c008ca-6f2f-4629-a409-95976a9fa8b0
                    created_at: '2024-07-12T04:20:52.481Z'
                    pillars:
                      - 37
                      - 24.8
                      - 0
                    vitality_index: 0.74
                    cardiovascular_risk: 0.47
                    cancer_risk: 0.2
                    metabolic_risk: 0.47
                    dementia_risk: 0.47
                    osteoporosis_risk: 0.2
                    biological_age: 38.47
                    total_score: 61.8
              schema:
                $ref: '#/components/schemas/Lifescore'
        '404':
          description: Patient or Lifescore not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    PatientIdParam:
      name: patientId
      in: path
      description: The id of the patient in question
      required: true
      schema:
        $ref: '#/components/schemas/UUID'
  schemas:
    Lifescore:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the Lifescore
        created_at:
          type: string
          format: date-time
          description: Timestamp of when the summary was created
        pillars:
          type: array
          items:
            type: number
          description: Pillar values contributing to the summary
        vitality_index:
          type: number
          description: Overall vitality index value
        cardiovascular_risk:
          type: number
          description: Cardiovascular risk score
        cancer_risk:
          type: number
          description: Cancer risk score
        metabolic_risk:
          type: number
          description: Metabolic risk score
        dementia_risk:
          type: number
          description: Dementia risk score
        osteoporosis_risk:
          type: number
          description: Osteoporosis risk score
        biological_age:
          type: number
          description: Biological age calculated based on biomarkers
        total_score:
          type: number
          description: Overall health score
        cycle:
          type: integer
          description: Cycle number for the assessment
      required:
        - id
        - created_at
        - pillars
        - vitality_index
        - cardiovascular_risk
        - cancer_risk
        - metabolic_risk
        - dementia_risk
        - osteoporosis_risk
        - biological_age
        - total_score
        - cycle
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    UUID:
      type: string
      format: uuid
      example: 29ea9012-c622-4851-a57a-9327abd21198
      description: A universally unique identifier.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````